package com.example.cameraservicedemo;

import android.app.Activity;
import android.os.Bundle;
import android.view.TextureView;
import android.view.View;
import android.widget.Button;

public class Camera2Activity extends Activity {

    private TextureView mTextureView;
    private Button mBtnOpenCamera;
    private Button mBtnCloseCamera;
    private Camera2Helper mCamera2Helper;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_camera2);
        mTextureView = (TextureView) findViewById(R.id.texture_view);
        mBtnOpenCamera = (Button) findViewById(R.id.btn_open_camera);
        mBtnCloseCamera = (Button) findViewById(R.id.btn_close_camera);
        mCamera2Helper = new Camera2Helper(Camera2Activity.this, mTextureView);
        mBtnOpenCamera.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                mCamera2Helper.initCameraInfo();
            }
        });

        mBtnCloseCamera.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                mCamera2Helper.releaseCamera();
                mCamera2Helper.releaseThread();
            }
        });
    }

    @Override
    protected void onResume() {
        super.onResume();
    }

    @Override
    protected void onPause() {
        super.onPause();


    }

    @Override
    protected void onDestroy() {
        super.onDestroy();
        mCamera2Helper.releaseCamera();
        mCamera2Helper.releaseThread();
    }
}